Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - d -

- DATE_LEN() : Lucene::DateField
- dateToString() : Lucene::DateField , Lucene::DateTools
- decode() : Lucene::Base64 , Lucene::UTF16Decoder , Lucene::UTF8Decoder
- decodeNorm() : Lucene::Similarity
- decompress() : Lucene::CompressionTools
- decompressString() : Lucene::CompressionTools
- decRef() : Lucene::IndexFileDeleter , Lucene::IndexReader
- DecRef() : Lucene::RefCount
- DEFAULT() : Lucene::FieldCache
- DEFAULT_ATTRIBUTE_FACTORY() : Lucene::AttributeFactory
- DEFAULT_BYTE_PARSER() : Lucene::FieldCache
- DEFAULT_DOUBLE_PARSER() : Lucene::FieldCache
- DEFAULT_INT_PARSER() : Lucene::FieldCache
- DEFAULT_LONG_PARSER() : Lucene::FieldCache
- DEFAULT_TYPE() : Lucene::Token , Lucene::TypeAttribute
- defaultMinSimilarity() : Lucene::FuzzyQuery
- DefaultSimilarity() : Lucene::DefaultSimilarity
- DefaultSkipListReader() : Lucene::DefaultSkipListReader
- DefaultSkipListWriter() : Lucene::DefaultSkipListWriter
- DELETABLE() : Lucene::IndexFileNames
- deleteAll() : Lucene::IndexWriter
- deleteCommit() : Lucene::CommitPoint , Lucene::IndexCommit , Lucene::ReaderCommit
- deleteCommits() : Lucene::IndexFileDeleter
- deleteDocument() : Lucene::IndexReader
- deleteDocuments() : Lucene::IndexReader , Lucene::IndexWriter
- deleteFile() : Lucene::CompoundFileReader , Lucene::Directory , Lucene::FileSwitchDirectory , Lucene::FSDirectory , Lucene::IndexFileDeleter , Lucene::RAMDirectory
- deleteFiles() : Lucene::IndexFileDeleter
- deleteNewFiles() : Lucene::IndexFileDeleter
- deletePendingFiles() : Lucene::IndexFileDeleter
- DELETES_EXTENSION() : Lucene::IndexFileNames
- deletesFull() : Lucene::DocumentsWriter
- description() : Lucene::ByteFieldSource , Lucene::DoubleFieldSource , Lucene::FieldCacheSource , Lucene::IntFieldSource , Lucene::OrdFieldSource , Lucene::ReverseOrdFieldSource , Lucene::ValueSource
- difference() : Lucene::FilteredTermEnum , Lucene::FuzzyTermEnum , Lucene::PrefixTermEnum , Lucene::SingleTermEnum , Lucene::TermRangeTermEnum , Lucene::WildcardTermEnum
- Directory() : Lucene::Directory
- directory() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::SegmentReader
- DirectoryReader() : Lucene::DirectoryReader
- disable_tracing() : Lucene::QueryParser
- discardEscapeChar() : Lucene::QueryParser
- DisjunctionMaxQuery() : Lucene::DisjunctionMaxQuery
- DisjunctionMaxScorer() : Lucene::DisjunctionMaxScorer
- DisjunctionSumScorer() : Lucene::DisjunctionSumScorer
- doAfterFlush() : Lucene::DocumentsWriter , Lucene::DocumentsWriterThreadState , Lucene::IndexWriter
- doApplyDeletes() : Lucene::DocumentsWriter
- doBalanceRAM() : Lucene::DocumentsWriter
- doBeforeFlush() : Lucene::IndexWriter
- doc() : Lucene::AbstractAllTermDocs , Lucene::FieldsReader , Lucene::FilterTermDocs , Lucene::IndexSearcher , Lucene::MultipleTermPositions , Lucene::MultiSearcher , Lucene::MultiTermDocs , Lucene::NearSpansOrdered , Lucene::NearSpansUnordered , Lucene::Searchable , Lucene::Searcher , Lucene::SegmentTermDocs , Lucene::Spans , Lucene::TermDocs , Lucene::TermSpans
- DocComparator() : Lucene::DocComparator
- DocFieldConsumers() : Lucene::DocFieldConsumers
- DocFieldConsumersPerDoc() : Lucene::DocFieldConsumersPerDoc
- DocFieldConsumersPerField() : Lucene::DocFieldConsumersPerField
- DocFieldConsumersPerThread() : Lucene::DocFieldConsumersPerThread
- DocFieldProcessor() : Lucene::DocFieldProcessor
- DocFieldProcessorPerField() : Lucene::DocFieldProcessorPerField
- DocFieldProcessorPerThread() : Lucene::DocFieldProcessorPerThread
- DocFieldProcessorPerThreadPerDoc() : Lucene::DocFieldProcessorPerThreadPerDoc
- docFreq() : Lucene::DirectoryReader , Lucene::FilteredTermEnum , Lucene::FilterIndexReader , Lucene::FilterTermEnum , Lucene::IndexReader , Lucene::IndexSearcher , Lucene::MultiReader , Lucene::MultiSearcher , Lucene::MultiTermEnum , Lucene::ParallelMultiSearcher , Lucene::ParallelReader , Lucene::Searchable , Lucene::Searcher , Lucene::SegmentReader , Lucene::SegmentTermEnum , Lucene::TermEnum
- docFreqs() : Lucene::Searchable , Lucene::Searcher
- docID() : Lucene::BooleanScorer2 , Lucene::BooleanScorer , Lucene::BucketScorer , Lucene::ConjunctionScorer , Lucene::DisjunctionMaxScorer , Lucene::DisjunctionSumScorer , Lucene::DocIdSetIterator , Lucene::FilteredDocIdSetIterator , Lucene::OpenBitSetIterator , Lucene::PhraseScorer , Lucene::ReqExclScorer , Lucene::ReqOptSumScorer , Lucene::ScoreCachingWrappingScorer , Lucene::SingleMatchScorer , Lucene::SpanScorer , Lucene::TermScorer
- DocIdBitSet() : Lucene::DocIdBitSet
- docIdSetToCache() : Lucene::CachingWrapperFilter
- DocInverter() : Lucene::DocInverter
- DocInverterPerField() : Lucene::DocInverterPerField
- DocInverterPerThread() : Lucene::DocInverterPerThread
- doClose() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- doCommit() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- docScore() : Lucene::AveragePayloadFunction , Lucene::MaxPayloadFunction , Lucene::MinPayloadFunction , Lucene::PayloadFunction
- docSpansOrdered() : Lucene::NearSpansOrdered
- DocState() : Lucene::DocState
- document() : Lucene::DirectoryReader
- Document() : Lucene::Document
- document() : Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- DocumentsWriter() : Lucene::DocumentsWriter
- DocumentsWriterThreadState() : Lucene::DocumentsWriterThreadState
- DocValues() : Lucene::DocValues
- DocWriter() : Lucene::DocWriter
- doDelete() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- doFlush() : Lucene::IndexWriter
- doFlushInternal() : Lucene::IndexWriter
- doMerge() : Lucene::ConcurrentMergeScheduler
- Done() : Lucene::FastCharStream , Lucene::QueryParserCharStream
- doNext() : Lucene::ConjunctionScorer , Lucene::PhraseScorer
- doPause() : Lucene::WaitQueue
- doReopen() : Lucene::DirectoryReader , Lucene::MultiReader , Lucene::ParallelReader
- doReopenFromWriter() : Lucene::DirectoryReader
- doReopenNoWriter() : Lucene::DirectoryReader
- doResume() : Lucene::WaitQueue
- doSetNorm() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- doublec() : Lucene::PorterStemmer
- DoubleCache() : Lucene::DoubleCache
- DoubleComparator() : Lucene::DoubleComparator
- DoubleDocValues() : Lucene::DoubleDocValues
- DoubleFieldSource() : Lucene::DoubleFieldSource
- doubleToByte() : Lucene::SmallDouble
- doubleToIntBits() : Lucene::MiscUtils
- doubleToLongBits() : Lucene::MiscUtils
- doubleToPrefixCoded() : Lucene::NumericUtils
- doubleToRawIntBits() : Lucene::MiscUtils
- doubleToRawLongBits() : Lucene::MiscUtils
- doubleToSortableLong() : Lucene::NumericUtils
- doubleVal() : Lucene::DocValues , Lucene::DoubleDocValues
- doUndeleteAll() : Lucene::DirectoryReader , Lucene::FilterIndexReader , Lucene::IndexReader , Lucene::MultiReader , Lucene::ParallelReader , Lucene::SegmentReader
- doWait() : Lucene::IndexWriter
- downHeap() : Lucene::PriorityQueue< TYPE > , Lucene::ScorerDocQueue
- dualConjunctionSumScorer() : Lucene::BooleanScorer2
- dumpRefs() : Lucene::CycleCheck

clucene.sourceforge.net